# Set Classifier
source: https://developer.mastercard.com/mastercard-processing-core/documentation/use-cases/classifiers-and-parameters-management/set-classifier/index.md

## Overview {#overview}

The use case describes how you set or change the classifier for the client or contract (account contract or card contract).

## Sequence diagram {#sequence-diagram}

Diagram set-classifier

### Explanation {#explanation}

1. The server sends a `PUT` request to the:
   * `/clients/{client_id}/classifiers/{classifier_code}` endpoint to set the classifier for the client
   * `/contracts/{contract_id}/classifiers/{classifier_code}` endpoint to set the classifier for the contract (account contract or card contract). The server must pass the `accountContractId` or the `cardContractId`, respectively, in place of the `contract_id` in the path.  
     In both requests, the server must send the `classifierValue` field in the request body. The server can also send the `startDate` and `endDate` in the request body to define the period in which the new `classifierValue` will be valid. Note: The classifiers are preconfigured in the Mastercard Processing CMS system. The list of possible `classifierValue` for the `classifierCode` will be defined during the onboarding process and you are allowed to use only those defined values.  
     For example, after the standard product configuration creation during the onboarding process, you can send a `PUT` request to the `/contracts/{card_contract_id}/classifiers/ABU` endpoint by passing the `Y` value in the `classifierValue` field to enable the ABU feature on the card contract, or you can respectively pass the `N` value in the `classifierValue` field to disable the ABU.
2. The API returns the HTTP status `204`.

Refer to [Sandbox testing](https://developer.mastercard.com/mastercard-processing-core/documentation/sandbox-testing/classifiers-and-parameters-management/set-classifier/index.md) for information on how to execute the use case in the Sandbox environment.

## Endpoints {#endpoints}


API Reference: `PUT /clients/{client_id}/classifiers/{classifier_code}`


API Reference: `PUT /contracts/{contract_id}/classifiers/{classifier_code}`

<br />

